com.google.gwt.xml.client

## Interface CDATASection

All Superinterfaces:
  CharacterData, Node, Text

    public interface CDATASection
    extends Text

This node represents escaped character sequences. An example of a CDATASection is

       <![CDATA[It's true that 5 < 6]]>

Browsers may choose to use text nodes in cases where CDATASection nodes are called for; in those cases, the data needing quoting will be truncated at the first parse error, truncating our example to be just:

     It's true that 5

### Field Summary

### Fields inherited from interface com.google.gwt.xml.client.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

### Methods inherited from interface com.google.gwt.xml.client.Text

`splitText`

### Methods inherited from interface com.google.gwt.xml.client.CharacterData

`appendData, deleteData, getData, getLength, insertData, replaceData, setData, substringData`

### Methods inherited from interface com.google.gwt.xml.client.Node

`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, normalize, removeChild, replaceChild, setNodeValue`